<h2 mat-dialog-title>{{ isEditMode ? 'Редагувати' : 'Створити' }} документ</h2>
<form
  class="form"
  [formGroup]="form"
  (submit)="processDocument()"
  #formElement="ngForm">
  <mat-dialog-content class="inputs">
    <mat-form-field>
      <mat-label>Назва документа</mat-label>
      <input formControlName="name" matInput />
      <mat-error *ngIf="nameFC.hasError('required')">
        Обов`язкове поле
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Опис</mat-label>
      <textarea formControlName="description" matInput></textarea>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Тип документа</mat-label>
      <mat-select formControlName="type">
        <mat-option
          *ngFor="
            let type of (documentTypes$ | async)?.elements;
            trackBy: trackById
          "
          [value]="type.id">
          {{ type.name }}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="documentTypeFC.hasError('required')">
        Обов`язкове поле
      </mat-error>
    </mat-form-field>

    <mat-form-field>
      <mat-label>Дата затвердження</mat-label>
      <input
        matInput
        [min]="minDate"
        [max]="maxDate"
        [matDatepicker]="dp"
        formControlName="approvedAt"
        readonly
        (click)="dp.open()" />
      <mat-datepicker-toggle matIconSuffix [for]="dp"></mat-datepicker-toggle>
      <mat-datepicker #dp></mat-datepicker>
      <mat-error *ngIf="approvedAtFC.hasError('required')">
        Обов`язкове поле
      </mat-error>
    </mat-form-field>

    <mat-chip-listbox *ngIf="isEditMode" [selectable]="false">
      <mat-chip-option
        *ngFor="
          let existedFile of existingFiles$ | async as existingFiles;
          trackBy: trackByStoragePath
        "
        (click)="saveFile(existedFile.url)">
        <span class="chip-label">{{ existedFile.storagePath }}</span>
        <button matChipRemove (click)="removeFile(existedFile, existingFiles)">
          <mat-icon>cancel</mat-icon>
        </button>
      </mat-chip-option>
    </mat-chip-listbox>

    <mat-form-field>
      <mat-label>{{ isEditMode ? 'Додати ' : '' }}Файли</mat-label>
      <input
        matInput
        rdnUploadFile
        [multiple]="true"
        [accept]="[
          'image/png',
          'image/jpeg',
          'application/pdf',
          'application/msword',
          'application/vnd.openxmlformats-officedocument.wordprocessingml.document'
        ]"
        formControlName="files" />
      <mat-error *ngIf="filesFC.hasError('required')">
        Обов`язкове поле
      </mat-error>
    </mat-form-field>
  </mat-dialog-content>
  <mat-dialog-actions align="end">
    <button mat-button mat-dialog-close>Закрити</button>
    <button
      [disabled]="
        formElement.pending || (formElement.submitted && formElement.invalid)
      "
      type="submit"
      mat-button>
      {{ isEditMode ? 'Редагувати' : 'Створити' }}
    </button>
  </mat-dialog-actions>
</form>
